ST_Points
Prev | 8.4. Geometry Accessors | Next

## Name

ST_Points — Returns a MultiPoint containing the coordinates of a geometry.

## Synopsis

`geometry ST_Points(` geometry geom `)`;

## Description

Returns a MultiPoint containing all the coordinates of a geometry. Duplicate points are preserved, including the start and end points of ring geometries. (If desired, duplicate points can be removed by calling ST_RemoveRepeatedPoints on the result).

To obtain information about the position of each coordinate in the parent geometry use ST_DumpPoints.

M and Z coordinates are preserved if present.

This method supports Circular Strings and Curves

This function supports 3d and will not drop the z-index.

Availability: 2.3.0

## Examples

    SELECT ST_AsText(ST_Points('POLYGON Z ((30 10 4,10 30 5,40 40 6, 30 10))'));

    --result
    MULTIPOINT Z ((30 10 4),(10 30 5),(40 40 6),(30 10 4))

## See Also

ST_RemoveRepeatedPoints, ST_DumpPoints

Prev | Up | Next
ST_PointN | Home | ST_StartPoint